LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::awt::PopupMenuDirection Constant Group Referencepublished

These values are used to specify the direction in which a pop-up menu will grow. More...

## Variables
const short | EXECUTE_DEFAULT = 0
| opens on execute in a default direction. More...
const short | EXECUTE_DOWN = 1
| opens on execute downwards. More...
const short | EXECUTE_UP = 2
| opens on execute upwards. More...
const short | EXECUTE_LEFT = 4
| opens on execute to the left. More...
const short | EXECUTE_RIGHT = 8
| opens on execute to the right. More...

## Detailed Description

These values are used to specify the direction in which a pop-up menu will grow.

They may be expanded in future versions.

## Variable Documentation

## ◆ EXECUTE_DEFAULT

const short EXECUTE_DEFAULT = 0

opens on execute in a default direction.

## ◆ EXECUTE_DOWN

const short EXECUTE_DOWN = 1

opens on execute downwards.

## ◆ EXECUTE_LEFT

const short EXECUTE_LEFT = 4

opens on execute to the left.

## ◆ EXECUTE_RIGHT

const short EXECUTE_RIGHT = 8

opens on execute to the right.

## ◆ EXECUTE_UP

const short EXECUTE_UP = 2

opens on execute upwards.